org.apache.mina.core.session

## Class IdleStatusChecker

- java.lang.Object
- - org.apache.mina.core.session.IdleStatusChecker

-     public class IdleStatusChecker
      extends Object

  Detects idle sessions and fires `sessionIdle` events to them. To be used for service unable to trigger idle events alone, like VmPipe or SerialTransport. Polling base transport are advised to trigger idle events alone, using the poll/select timeout.
  Author:
    Apache MINA Project

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IdleStatusChecker.NotifyingTask` The class to place in the transport executor for checking the sessions idle

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdleStatusChecker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSession(AbstractIoSession session)` Add the session for being checked for idle.
    `IdleStatusChecker.NotifyingTask` | `getNotifyingTask()` get a runnable task able to be scheduled in the `IoService` executor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdleStatusChecker

          public IdleStatusChecker()

  - ### Method Detail

    - #### addSession

          public void addSession(AbstractIoSession session)

      Add the session for being checked for idle.
      Parameters:
        `session` - the session to check

    - #### getNotifyingTask

          public IdleStatusChecker.NotifyingTask getNotifyingTask()

      get a runnable task able to be scheduled in the `IoService` executor.
      Returns:

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.